UNIQ(1)

NOMBRE
uniq - muestra u omite líneas duplicadas

SINOPSIS
uniq [OPCIÓN]... [ENTRADA [SALIDA]]

DESCRIPCIÓN

filtra líneas contiguas que cumplan un cierto patrón, leyendo desde ENTRADA (o desde la entrada estándar) y escribiendo en la SALIDA (o en la salida estándar).

Si no se define ninguna opción, simplemente se omiten las duplicadas, mostrándose solo la primera.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-c, --count
    Añade el número de veces que se repite cada línea como prefijo

-d, --repeated
    solo muestra las líneas duplicadas, una por cada grupo

-D  muestra todas las líneas duplicadas

--all-repeated[=MÉTODO]
    igual que -D pero permite separar los grupos con una línea en blanco; MÉTODO={none(por defecto),prepend,separate}

-f, --skip-fields=N
    no realiza ninguna comparación en los N primeros campos

--group[=MÉTODO]
    muestra todos los elementos separando los grupos mediante líneas en blanco; MÉTODO={separate(por defecto),prepend,append,both}

-i, --ignore-case
    no diferencia mayúsculas y minúsculas durante la comparación

-s, --skip-chars=N
    no compara los N primeros caracteres

-u, --unique
    solo muestra una única línea

-z, --zero-terminated
    las líneas se delimitan con NUL en lugar de nueva línea

-w, --check-chars=N
    solo compara N caracteres en cada línea

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

Un campo es una serie de espacios en blanco (generalmente espacio y/o tabulaciones), y otros caracteres. No se consideran estos campos cuando preceden a otros caracteres.

'uniq' solo es capaz de detectar líneas duplicadas si son contiguas, por lo tanto seguramente desea ordenarla antes o ejecutar 'sort -u' sin 'uniq'

AUTOR
Escrito por Richard M. Stallman y David MacKenzie.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
comm(1), join(1), sort(1)

Documentación completa <https://www.gnu.org/software/coreutils/uniq>
disponible localmente ejecutando info '(coreutils) uniq invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.